happy-lib-2.2: Happy is a parser generator for Haskell implemented using this library

Safe Haskell | Safe-Inferred
Language | Haskell98

Happy.Grammar.ExpressionWithHole

Synopsis

- data ExpressionWithHole = ExpressionWithHole {
  - exprLeft :: String
  - exprRight :: String
  }
- substExpressionWithHole :: ExpressionWithHole -> String -> String

# Documentation

data ExpressionWithHole #

The overall expression is 'tokLeft ++ substitutedForHole ++ tokRight'.

Constructors

ExpressionWithHole |
Fields exprLeft :: String exprRight :: String

#### Instances

Instances details

Show ExpressionWithHole # |
Instance details Defined in Happy.Grammar.ExpressionWithHole Methods showsPrec :: Int -> ExpressionWithHole -> ShowS # show :: ExpressionWithHole -> String # showList :: [ExpressionWithHole] -> ShowS #
Eq ExpressionWithHole # |
Instance details Defined in Happy.Grammar.ExpressionWithHole Methods (==) :: ExpressionWithHole -> ExpressionWithHole -> Bool # (/=) :: ExpressionWithHole -> ExpressionWithHole -> Bool #

substExpressionWithHole :: ExpressionWithHole -> String -> String #